#pragma once

#include "Noise.h"
#include <Random.h>

class FastNoiseWrapper;

#define RandNoiseTableSize 1024 * 512

class RandNoise : public Noise
{
private:
    unsigned short* table;
    int seed;

public:
    RandNoise(int seed);
    ~RandNoise();

    int getSeed() const override;
    double getNoise(double x, double y, double z) override;
};