#include "SaveCommand.h"

#include "Game.h"

SaveCommand::SaveCommand()
    : ChatCommand("save", "Saves the game", 0)
{}

void SaveCommand::execute(
    Framework::RCArray<Framework::Text> params, Entity* zActor) const
{
    Game::INSTANCE->save();
    Game::INSTANCE->zChat()->broadcastMessage(
        "The game was saved.", Chat::CHANNEL_INFO);
}